Skip to main content
GET
/
coa
/
api
/
fixed-asset-automation-match
/
{id}
/
Retrieve Fixed Asset Automation Match
curl --request GET \
  --url https://api.meetcampfire.com/coa/api/fixed-asset-automation-match/{id}/ \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.meetcampfire.com/coa/api/fixed-asset-automation-match/{id}/"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.meetcampfire.com/coa/api/fixed-asset-automation-match/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "rule": 123,
  "rule_name": "<string>",
  "rule_account_name": "<string>",
  "rule_threshold": 0,
  "rule_needs_review": true,
  "transaction": 123,
  "transaction_description": "<string>",
  "transaction_date": "2023-12-25",
  "transaction_amount": "<string>",
  "proposed_name": "<string>",
  "proposed_asset_class": 123,
  "proposed_initial_value": 0,
  "proposed_purchase_date": "2023-12-25",
  "proposed_depreciation_start_date": "2023-12-25",
  "created_asset": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "proposed_salvage_value": 0,
  "proposed_entity": 123,
  "proposed_department": 123,
  "proposed_vendor": 123
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Response

200 - application/json

Serializer for pending asset matches in review queue

id
integer
required
read-only
rule
integer
required
rule_name
string
required
read-only
rule_account_name
string
required
read-only
rule_threshold
number<double>
required
read-only
Required range: -10000000000000 < x < 10000000000000
rule_needs_review
boolean
required
read-only
transaction
integer
required
read-only
transaction_description
string
required
read-only
transaction_date
string<date>
required
read-only
transaction_amount
string
required
read-only
proposed_name
string
required
Maximum string length: 250
proposed_asset_class
integer
required
proposed_initial_value
number<double>
required
Required range: -1000000000000000000 < x < 1000000000000000000
proposed_purchase_date
string<date>
required
proposed_depreciation_start_date
string<date>
required
created_asset
integer | null
required
read-only

The asset created when this match was accepted

created_at
string<date-time>
required
read-only
proposed_salvage_value
number<double>
Required range: -1000000000000000000 < x < 1000000000000000000
proposed_entity
integer | null
proposed_department
integer | null
proposed_vendor
integer | null